local calc = require("#Monocle.Calc")
local dust = require("#Celeste.Dust")
local color = require("#Microsoft.Xna.Framework.Color")


function onBegin()
	disablePause()
	disableMovement()
    player.DummyAutoAnimate = false
	player.Sprite:Play("roll")
    player.Speed = vector2(player.Speed.X,player.Speed.Y)
    waitUntilOnGround()
    playSound("event:/game/06_reflection/badeline_pull_impact")
	local ground = player.Position.Y
	player.Dashes = 1
	player.DummyFriction = false
	player.ForceCameraUpdate = true;
	player.Speed = vector2(0, player.Speed.Y)
	player.DummyFriction = true
	player.ForceCameraUpdate = false
	wait(0.6)
	player.Sprite:Play("rollGetUp")
	wait(0.8)
	enableMovement()
	enablePause()
end